Update docker-mailserver

This commit is contained in:
Andreas Zweili 2022-10-17 11:40:23 +02:00
parent 28fc69c69a
commit 14f771faf1
2 changed files with 13 additions and 13 deletions

View File

@ -2,7 +2,7 @@ version: "3.8"
services: services:
mail: mail:
image: docker.io/mailserver/docker-mailserver:11.0.0 image: docker.io/mailserver/docker-mailserver:11.2.0
hostname: mail hostname: mail
domainname: zweili.org domainname: zweili.org
env_file: mailserver.env env_file: mailserver.env

View File

@ -9,7 +9,7 @@ CONTAINER_NAME=
CRI= CRI=
DEFAULT_CONFIG_PATH= DEFAULT_CONFIG_PATH=
DESIRED_CONFIG_PATH= DESIRED_CONFIG_PATH=
DIR="$(pwd)" DIR=$(pwd)
DMS_CONFIG='/tmp/docker-mailserver' DMS_CONFIG='/tmp/docker-mailserver'
IMAGE_NAME= IMAGE_NAME=
DEFAULT_IMAGE_NAME='docker.io/mailserver/docker-mailserver:latest' DEFAULT_IMAGE_NAME='docker.io/mailserver/docker-mailserver:latest'
@ -19,11 +19,11 @@ USE_SELINUX=
USE_TTY= USE_TTY=
VOLUME= VOLUME=
RED="\e[31m\e[1m" RED=$(echo -ne '\e[31m\e[1m')
WHITE="\e[37m" WHITE=$(echo -ne '\e[37m')
ORANGE="\e[38;5;214m" ORANGE=$(echo -ne '\e[38;5;214m')
LBLUE="\e[94m" LBLUE=$(echo -ne '\e[94m')
RESET="\e[0m" RESET=$(echo -ne '\e[0m')
set -euEo pipefail set -euEo pipefail
shopt -s inherit_errexit 2>/dev/null || true shopt -s inherit_errexit 2>/dev/null || true
@ -47,7 +47,7 @@ function __err
function _show_local_usage function _show_local_usage
{ {
# shellcheck disable=SC2059 # shellcheck disable=SC2059
printf "${ORANGE}OPTIONS${RESET} printf '%s' "${ORANGE}OPTIONS${RESET}
${LBLUE}Config path, container or image adjustments${RESET} ${LBLUE}Config path, container or image adjustments${RESET}
-i IMAGE_NAME -i IMAGE_NAME
Provides the name of the 'docker-mailserver' image. The default value is Provides the name of the 'docker-mailserver' image. The default value is
@ -78,7 +78,7 @@ function _show_local_usage
[[ ${1:-} == 'no-exit' ]] && return 0 [[ ${1:-} == 'no-exit' ]] && return 0
# shellcheck disable=SC2059 # shellcheck disable=SC2059
printf "${ORANGE}EXIT STATUS${RESET} printf '%s' "${ORANGE}EXIT STATUS${RESET}
Exit status is 0 if the command was successful. If there was an unexpected error, an error Exit status is 0 if the command was successful. If there was an unexpected error, an error
message is shown describing the error. In case of an error, the script will exit with exit message is shown describing the error. In case of an error, the script will exit with exit
status 1. status 1.
@ -90,10 +90,10 @@ function _get_absolute_script_directory
{ {
if dirname "$(readlink -f "${0}")" &>/dev/null if dirname "$(readlink -f "${0}")" &>/dev/null
then then
DIR="$(dirname "$(readlink -f "${0}")")" DIR=$(dirname "$(readlink -f "${0}")")
elif realpath -e -L "${0}" &>/dev/null elif realpath -e -L "${0}" &>/dev/null
then then
DIR="$(realpath -e -L "${0}")" DIR=$(realpath -e -L "${0}")
DIR="${DIR%/setup.sh}" DIR="${DIR%/setup.sh}"
fi fi
} }
@ -205,7 +205,7 @@ function _main
INFO=$(${CRI} ps --no-trunc --format "{{.Image}};{{.Names}}" --filter \ INFO=$(${CRI} ps --no-trunc --format "{{.Image}};{{.Names}}" --filter \
label=org.opencontainers.image.title="docker-mailserver" | tail -1) label=org.opencontainers.image.title="docker-mailserver" | tail -1)
CONTAINER_NAME=${INFO#*;} [[ -z ${CONTAINER_NAME} ]] && CONTAINER_NAME=${INFO#*;}
[[ -z ${IMAGE_NAME} ]] && IMAGE_NAME=${INFO%;*} [[ -z ${IMAGE_NAME} ]] && IMAGE_NAME=${INFO%;*}
if [[ -z ${IMAGE_NAME} ]] if [[ -z ${IMAGE_NAME} ]]
then then
@ -231,7 +231,7 @@ function _main
_run_in_new_container setup "${@}" _run_in_new_container setup "${@}"
fi fi
[[ ${1} == 'help' ]] && _show_local_usage [[ ${1:-} == 'help' ]] && _show_local_usage
return 0 return 0
} }